Debian Bug report logs - #698638
ITP: keybinder-3.0 -- registers global key bindings for applications - Gtk+3

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andrew Starr-Bochicchio <a.starr.b@gmail.com>

Date: Mon, 21 Jan 2013 16:51:01 UTC

Owned by: Andrew Starr-Bochicchio <asb@debian.org>

Severity: wishlist

Merged with 710254

Fixed in version keybinder-3.0/0.3.0-1

Done: Andrew Starr-Bochicchio <asb@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luca Falavigna <dktrkranz@debian.org>:
Bug#698638; Package keybinder. (Mon, 21 Jan 2013 16:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Starr-Bochicchio <a.starr.b@gmail.com>:
New Bug report received and forwarded. Copy sent to Luca Falavigna <dktrkranz@debian.org>. (Mon, 21 Jan 2013 16:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please provide keybinder-3.0 packages
Date: Mon, 21 Jan 2013 11:48:30 -0500
Package: keybinder
Version: 0.3.0-1
Severity: wishlist

Hi Luca,

I'm in the process of packaging kazam (#635623) which needs
gir1.2-keybinder-3.0 for hotkey support. As we already have keybinder
0.3 in experimental, it would be nice to supply keybinder-3.0 packages
as well.

Thanks,

-- Andrew Starr-Bochicchio

   Ubuntu Developer <https://launchpad.net/~andrewsomething>
   Debian Developer <http://qa.debian.org/developer.php?login=asb>
   PGP/GPG Key ID: D53FDCB1



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#698638; Package keybinder. (Thu, 31 Jan 2013 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. (Thu, 31 Jan 2013 20:12:04 GMT) Full text and rfc822 format available.

Message #10 received at 698638@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: Andrew Starr-Bochicchio <a.starr.b@gmail.com>, 698638@bugs.debian.org
Subject: Re: Bug#698638: Please provide keybinder-3.0 packages
Date: Thu, 31 Jan 2013 21:08:26 +0100
2013/1/21 Andrew Starr-Bochicchio <a.starr.b@gmail.com>:
> I'm in the process of packaging kazam (#635623) which needs
> gir1.2-keybinder-3.0 for hotkey support. As we already have keybinder
> 0.3 in experimental, it would be nice to supply keybinder-3.0 packages
> as well.

I'm not sure I can get your point.
keybinder 0.3.0-1 provides gir1.2-keybinder-0.0 package already.



Information forwarded to debian-bugs-dist@lists.debian.org, Luca Falavigna <dktrkranz@debian.org>:
Bug#698638; Package keybinder. (Thu, 31 Jan 2013 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Starr-Bochicchio <a.starr.b@gmail.com>:
Extra info received and forwarded to list. Copy sent to Luca Falavigna <dktrkranz@debian.org>. (Thu, 31 Jan 2013 23:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 698638@bugs.debian.org (full text, mbox):

From: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
To: Luca Falavigna <dktrkranz@debian.org>
Cc: 698638@bugs.debian.org
Subject: Re: Bug#698638: Please provide keybinder-3.0 packages
Date: Thu, 31 Jan 2013 18:12:09 -0500
On Thu, Jan 31, 2013 at 3:08 PM, Luca Falavigna <dktrkranz@debian.org> wrote:
> 2013/1/21 Andrew Starr-Bochicchio <a.starr.b@gmail.com>:
>> I'm in the process of packaging kazam (#635623) which needs
>> gir1.2-keybinder-3.0 for hotkey support. As we already have keybinder
>> 0.3 in experimental, it would be nice to supply keybinder-3.0 packages
>> as well.
>
> I'm not sure I can get your point.
> keybinder 0.3.0-1 provides gir1.2-keybinder-0.0 package already.

My understanding is that those are for GTK2+. From the keybinder
README file [1]:

>The package ``keybinder`` compiles against GTK+ 2 while the package
>``keybinder-3.0`` compiles against GTK+ 3. The two packages can be
>installed in parallel.
>
>Both packages support generating gobject-introspection (gir) bindings,
>even if these bindings are more relevant for the future, hence the GTK+
>3 package. For ``keybinder-3.0``, the gir bindings are strongly
>recommended over any other language bindings.

Ubuntu has two source packages, keybinder which produces the binary
package gir1.2-keybinder-0.0 [2] and keybinder-3 which produces
gir1.2-keybinder-3.0 [3].

When I filed this bug, I initially thought they were built from the
same source. But it turns out that upstream releases a different
tarball for each series. The upstream tarball for keybinder-3 is found
here:

http://kaizer.se/publicfiles/keybinder/keybinder-3.0-0.3.0.tar.gz

I guess I'll reassign to wnpp. As it's really just another branch of a
package you maintain, are you interested in packaging it? I might do
so if you're not interested.


[1] http://anonscm.debian.org/gitweb/?p=users/dktrkranz/keybinder.git;a=blob;f=README
[2] http://packages.ubuntu.com/source/raring/keybinder
[3] http://packages.ubuntu.com/source/raring/keybinder-3.0

Thanks!

-- Andrew Starr-Bochicchio

   Ubuntu Developer <https://launchpad.net/~andrewsomething>
   Debian Developer <http://qa.debian.org/developer.php?login=asb>
   PGP/GPG Key ID: D53FDCB1



Bug reassigned from package 'keybinder' to 'wnpp'. Request was from Andrew Starr-Bochicchio <asb@debian.org> to control@bugs.debian.org. (Thu, 31 Jan 2013 23:39:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions 0.3.0-1. Request was from Andrew Starr-Bochicchio <asb@debian.org> to control@bugs.debian.org. (Thu, 31 Jan 2013 23:39:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: keybinder-3.0 -- registers global key bindings for' from 'Please provide keybinder-3.0 packages' Request was from Andrew Starr-Bochicchio <asb@debian.org> to control@bugs.debian.org. (Thu, 31 Jan 2013 23:39:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: keybinder-3.0 -- registers global key bindings for applications - Gtk+ 3' from 'RFP: keybinder-3.0 -- registers global key bindings for' Request was from Andrew Starr-Bochicchio <asb@debian.org> to control@bugs.debian.org. (Thu, 31 Jan 2013 23:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698638; Package wnpp. (Fri, 01 Feb 2013 14:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 01 Feb 2013 14:57:05 GMT) Full text and rfc822 format available.

Message #28 received at 698638@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: Andrew Starr-Bochicchio <a.starr.b@gmail.com>
Cc: 698638@bugs.debian.org
Subject: Re: Bug#698638: Please provide keybinder-3.0 packages
Date: Fri, 1 Feb 2013 15:53:06 +0100
2013/2/1 Andrew Starr-Bochicchio <a.starr.b@gmail.com>:
> When I filed this bug, I initially thought they were built from the
> same source. But it turns out that upstream releases a different
> tarball for each series. The upstream tarball for keybinder-3 is found
> here:
>
> http://kaizer.se/publicfiles/keybinder/keybinder-3.0-0.3.0.tar.gz
>
> I guess I'll reassign to wnpp. As it's really just another branch of a
> package you maintain, are you interested in packaging it? I might do
> so if you're not interested.

Ah, indeed. I recall such a news, but I forgot to take care of it.
I'm converting this bug into a ITP, but I guess there will be some
delay due to the freeze before it will be available in the archive.



Changed Bug title to 'ITP: keybinder-3.0 -- registers global key bindings for applications - Gtk+3' from 'RFP: keybinder-3.0 -- registers global key bindings for applications - Gtk+ 3' Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Fri, 01 Feb 2013 14:57:08 GMT) Full text and rfc822 format available.

Owner recorded as Luca Falavigna <dktrkranz@debian.org>. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Fri, 01 Feb 2013 14:57:09 GMT) Full text and rfc822 format available.

Merged 698638 710254 Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Fri, 14 Jun 2013 21:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Luca Falavigna <dktrkranz@debian.org>:
Bug#698638; Package wnpp. (Fri, 11 Oct 2013 13:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to mozbugbox <mozbugbox@yahoo.com.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Luca Falavigna <dktrkranz@debian.org>. (Fri, 11 Oct 2013 13:15:11 GMT) Full text and rfc822 format available.

Message #39 received at 698638@bugs.debian.org (full text, mbox):

From: mozbugbox <mozbugbox@yahoo.com.au>
To: Debian Bug Tracking System <698638@bugs.debian.org>
Subject: Re: ITP: keybinder-3.0 -- registers global key bindings for applications - Gtk+3
Date: Fri, 11 Oct 2013 21:11:39 +0800
Package: wnpp
Followup-For: Bug #698638


Any update on this ITP?



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698638; Package wnpp. (Fri, 11 Oct 2013 13:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 11 Oct 2013 13:27:05 GMT) Full text and rfc822 format available.

Message #44 received at 698638@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: mozbugbox <mozbugbox@yahoo.com.au>, 698638@bugs.debian.org
Subject: Re: Bug#698638: ITP: keybinder-3.0 -- registers global key bindings for applications - Gtk+3
Date: Fri, 11 Oct 2013 15:22:59 +0200
2013/10/11 mozbugbox <mozbugbox@yahoo.com.au>:
> Any update on this ITP?

Unfortunately not, I'm quite busy at the moment, and I don't think
I'll have time to work on this package soon...



Changed Bug title to 'RFP: keybinder-3.0 -- registers global key bindings for applications - Gtk+3' from 'ITP: keybinder-3.0 -- registers global key bindings for applications - Gtk+3' Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Fri, 07 Mar 2014 15:15:07 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Luca Falavigna <dktrkranz@debian.org>. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Fri, 07 Mar 2014 15:15:09 GMT) Full text and rfc822 format available.

Owner recorded as Andrew Starr-Bochicchio <asb@debian.org>. Request was from Andrew Starr-Bochicchio <asb@debian.org> to control@bugs.debian.org. (Fri, 07 Mar 2014 16:48:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: keybinder-3.0 -- registers global key bindings for applications - Gtk+3' from 'RFP: keybinder-3.0 -- registers global key bindings for applications - Gtk+3' Request was from Andrew Starr-Bochicchio <asb@debian.org> to control@bugs.debian.org. (Fri, 07 Mar 2014 16:48:17 GMT) Full text and rfc822 format available.

Reply sent to Andrew Starr-Bochicchio <asb@debian.org>:
You have taken responsibility. (Wed, 12 Mar 2014 16:03:15 GMT) Full text and rfc822 format available.

Notification sent to Andrew Starr-Bochicchio <a.starr.b@gmail.com>:
Bug acknowledged by developer. (Wed, 12 Mar 2014 16:03:15 GMT) Full text and rfc822 format available.

Message #57 received at 698638-close@bugs.debian.org (full text, mbox):

From: Andrew Starr-Bochicchio <asb@debian.org>
To: 698638-close@bugs.debian.org
Subject: Bug#698638: fixed in keybinder-3.0 0.3.0-1
Date: Wed, 12 Mar 2014 16:00:07 +0000
Source: keybinder-3.0
Source-Version: 0.3.0-1

We believe that the bug you reported is fixed in the latest version of
keybinder-3.0, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698638@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Starr-Bochicchio <asb@debian.org> (supplier of updated keybinder-3.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 09 Mar 2014 11:43:30 -0400
Source: keybinder-3.0
Binary: libkeybinder-3.0-0 libkeybinder-3.0-dev gir1.2-keybinder-3.0 keybinder-3.0-doc
Architecture: source amd64 all
Version: 0.3.0-1
Distribution: unstable
Urgency: medium
Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
Changed-By: Andrew Starr-Bochicchio <asb@debian.org>
Description: 
 gir1.2-keybinder-3.0 - registers global key bindings for applications - Gtk+3 - typelib
 keybinder-3.0-doc - registers global key bindings for applications - Gtk+3 - document
 libkeybinder-3.0-0 - registers global key bindings for applications - Gtk+3
 libkeybinder-3.0-dev - registers global key bindings for applications - Gtk+3 - developm
Closes: 698638
Changes: 
 keybinder-3.0 (0.3.0-1) unstable; urgency=medium
 .
   * Initial release (Closes: #698638).
Checksums-Sha1: 
 4d1f640214e365ed9bd112ab1b417afce849739c 2224 keybinder-3.0_0.3.0-1.dsc
 53167d295ffa1d356bfad6f9360b90bd85e8fb26 346383 keybinder-3.0_0.3.0.orig.tar.gz
 cd470af5f039b50362ac6d8ba64e356dbfc1a387 2952 keybinder-3.0_0.3.0-1.debian.tar.xz
 ec447544b6a72b838504640a65046ad12f0a25f1 8436 libkeybinder-3.0-0_0.3.0-1_amd64.deb
 f7fded1af8f337ef4cedd292738d39748d57b364 4980 libkeybinder-3.0-dev_0.3.0-1_amd64.deb
 5b2f76f39749d51342f2da32329bd6bcc9fa0814 3248 gir1.2-keybinder-3.0_0.3.0-1_amd64.deb
 0fb443a20512f541146816f141e59b5d849422d9 11270 keybinder-3.0-doc_0.3.0-1_all.deb
Checksums-Sha256: 
 d20d5cb9b838e10c132428b596a78e1d1f7ab45bc1f6408b5d5a6dc2b1d1a5ce 2224 keybinder-3.0_0.3.0-1.dsc
 982a6a5bc0fe1487862814b368e98211b9ec93fb5df3c9c0a88be526e0d2268e 346383 keybinder-3.0_0.3.0.orig.tar.gz
 0b866ac0354942d16669510585f1acc5c42890c14d8f60539690d6553dcb673b 2952 keybinder-3.0_0.3.0-1.debian.tar.xz
 bf398e1c4e86ca4e789b0716e815f9b738c0cd626db6fb99b935b09167e6315e 8436 libkeybinder-3.0-0_0.3.0-1_amd64.deb
 3c0f2895b80650f264c46474dcf75bc82b71fbb75f59adf00b87a30bdcfc5eee 4980 libkeybinder-3.0-dev_0.3.0-1_amd64.deb
 f21cb4c366c52017274f60454d41d784385ada6fb71dbb657ae7107391675294 3248 gir1.2-keybinder-3.0_0.3.0-1_amd64.deb
 d0a76ade64d5d48fdf79385b22ccb002012b4f0ff4c53183c21fa79ee23a829d 11270 keybinder-3.0-doc_0.3.0-1_all.deb
Files: 
 b530768778aaf852b91d62487b24a930 2224 libs optional keybinder-3.0_0.3.0-1.dsc
 8259eeffb3ba3917a67f8b90ce4ac7da 346383 libs optional keybinder-3.0_0.3.0.orig.tar.gz
 59f890f875b2cb4bf060e632cd8587fc 2952 libs optional keybinder-3.0_0.3.0-1.debian.tar.xz
 de6b78d14c28a255cf660e958361732f 8436 libs optional libkeybinder-3.0-0_0.3.0-1_amd64.deb
 d184cab7f74a8d229c27a8f0387afbac 4980 libdevel optional libkeybinder-3.0-dev_0.3.0-1_amd64.deb
 e827d1faa3c580d0725b7ad7832568a3 3248 introspection optional gir1.2-keybinder-3.0_0.3.0-1_amd64.deb
 8610c32afff956bbdabf9bb51aad3fee 11270 doc optional keybinder-3.0-doc_0.3.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJTHJEqAAoJEDtW4rvVP9yxzIsQAJi/DOSQSQAD7WPEmp8HFIAX
Vb7EpQY2Py4v4eT/QMYgmAImVJ7h/FeTLWaEyCXS2p2d5Tg0nDGrWgsZXoQbkNdl
3lLiYT+jov6a8r7ay/2R0b/KvSiq98bEma6jQb6G8YQbvHeRwsSY+vzjmqbImtRV
bV4e4a4zw6wna6KeZiV9U5qTLecOpHbBc2yB32m+Z6a0z78KqDx3VLWkkov1MO35
Tp4RjD4ywQiXKbdv7+ZTO9m0LWAkQupF+HZ1r+Uxu9+yb5aTyL8yiWZxT/zOpJ6h
DY51Jok8CD3oHd9TkweVQ4XpA0Rx8Hwjrm+exQDOZEXkSvI2sdrOqqqEFsS0/U5u
9I2ZMIbAHC86AExVNSZXzpFSTDUpzR8d9bJI5eczl0qSpXSQF+q28hdcxtLQ+/+4
CVcUCp59iLcVd0dbLbeHzIPRG61qGUyZIgDdPMrU5zzTAkmhn3lrts9qJT115K4K
7zAf691wlJAYycw6+yGVHU3sC7vQLEi+OeLANnpHPMceoGVqNEWW5SQwQtHVKCin
ZMfUVdye/jTsDNLX4jKlbdmucTvCzjNwFQvewi6P1Pg1LDhHKRZa16/JhzcDmmip
VB+r+N7B+8H1aTejGZs/FVXfWH4AekzEnv41uqoFLMxGTDE1E3R86ES1aSbFA7AO
JxDHVofNFHXur3QMG37g
=PEtE
-----END PGP SIGNATURE-----




Reply sent to Andrew Starr-Bochicchio <asb@debian.org>:
You have taken responsibility. (Wed, 12 Mar 2014 16:03:16 GMT) Full text and rfc822 format available.

Notification sent to Christoph Reiter <reiter.christoph@gmail.com>:
Bug acknowledged by developer. (Wed, 12 Mar 2014 16:03:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 10 Apr 2014 07:27:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:51:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.